<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.contrato.condicionesLicense.daos.PlicenseDAO">


	<insert id="insertarPlicense"
		parameterType="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlicenseDTO">
		insert into DDA_T_CONTRATO_PLICENSE (ID_CONTRATO,ID_PERIODO,TIPO_PAGO,TIPO_ANNIO) values (#{idContrato}, #{tipoPeriodoPago},#{tipoCondicion},#{tipoAnio})
		
	</insert>
	
	<delete id="borrarPlicense">
		delete DDA_T_CONTRATO_PLICENSE where ID_CONTRATO=#{idContrato}
	</delete>
	
	<update id="acualizarPlicense"
		parameterType="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlicenseDTO">
		UPDATE DDA_T_CONTRATO_PLICENSE SET 
			ID_PERIODO=#{tipoPeriodoPago}, 
			TIPO_PAGO=#{tipoCondicion},
			TIPO_ANNIO=#{tipoAnio}
		WHERE
			ID_CONTRATO=#{idContrato}
	</update>

	<resultMap id="Plicense"
		type="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlicenseDTO">
		<id column="ID_CONTRATO" property="idContrato"  />
		<result column="ID_PERIODO"  property="tipoPeriodoPago" />
		<result column="TIPO_PAGO" property="tipoCondicion"  />
		<result column="TIPO_ANNIO" property="tipoAnio"  />
	</resultMap>

	<select id="buscarPlicense" resultMap="Plicense"
		parameterType="long">
		select
			ID_CONTRATO,
			ID_PERIODO,
			TIPO_PAGO,
			TIPO_ANNIO
		from
			DDA_T_CONTRATO_PLICENSE
		where
			ID_CONTRATO = #{idContrato}
	</select>

</mapper>
